%define major     1
%define libname   %mklibname %{name} 2
%define develname %mklibname %{name} -d

Name:           physfs
Version:        3.0.2
Release:        %mkrel 2
Summary:        PhysicsFS, a library to provide abstract access to various archives
Group:          System/Libraries
License:        zlib
URL:            https://www.icculus.org/physfs
Source0:        https://icculus.org/physfs/downloads/%{name}-%{version}.tar.xz

BuildRequires:  cmake
BuildRequires:  readline-devel
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(liblzma)
BuildRequires:  pkgconfig(zlib)


%description
A library to provide abstract access to various archives.
It is intended for use in video games.
The programmer defines a "write directory" on the physical filesystem.
No file writing done through the PhysicsFS API can leave that write directory.

%package -n %{libname}
Summary:        Main library for physfs
Group:          System/Libraries
Obsoletes:      lib64physfs1.0

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with physfs.

%package -n %{develname}
Summary:        Headers for developing programs that will use physfs
Group:          Development/Libraries
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      lib64physfs1.0-devel

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use physfs.

%prep
%setup -q
%apply_patches

%build
%cmake -DPHYSFS_BUILD_STATIC=OFF
%make_build

%install
%make_install -C build

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{version}

%files -n %{develname}
%doc README.txt docs/CREDITS.txt
%doc LICENSE.txt
%{_bindir}/test_%{name}
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Thu Dec 31 2020 tex - 3.0.2-2pclos2021
- rebuild against updates

* Tue Mar 26 2019 tex 3.0.2-1pclos2019
- new bugfix release 3.0.2
